## tweepy 3.5.0

=== requirements.txt ===
requests>=2.4.3
requests_oauthlib>=0.4.1
six>=1.7.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)/html
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	mkdir -p $(BUILDDIR)/dirhtml
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	mkdir -p $(BUILDDIR)/pickle
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	mkdir -p $(BUILDDIR)/json
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	mkdir -p $(BUILDDIR)/qthelp
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tweepy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tweepy.qhc"

latex:
	mkdir -p $(BUILDDIR)/latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDDIR)/changes
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	mkdir -p $(BUILDDIR)/doctest
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## tweepy 1.7.1

=== debian/changelog ===
tweepy (1.7.1-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:14:50 +0000

tweepy (1.7.1-2) unstable; urgency=low

  * Python transition:
    - Add support for python2.7.
    - Drop support for python2.5.
  * Bump Standards-Version to 3.9.2. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 19 Apr 2011 16:59:04 -0430

tweepy (1.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #581602).

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 28 Mar 2011 14:04:30 -0430

=== debian/control ===
Source: tweepy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
 python-docutils, python-setuptools, python-sphinx
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/tweepy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/tweepy/trunk/
Homepage: http://github.com/joshthecoder/tweepy

Package: python-tweepy
Architecture: all
Depends: python-oauth, python-simplejson | python (>= 2.6), ${misc:Depends},
 ${python:Depends}
Suggests: python-tweepy-doc
Description: Twitter library for Python
 Tweepy is a Twitter and Identi.ca library for Python
 that can be used in desktop and web applications. It has the
 following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use

Package: python-tweepy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-jquery
Description: Documentation for python-tweepy module
 Documentation for Tweepy that is a Twitter and Identi.ca
 library for Python that can be used in desktop and web
 applications. It has the following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
  .
  This package contains tutorials, examples and the Tweepy API.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	cd doc && sphinx-build -b html . ../build/html
	rst2man debian/tweepyshell.rst tweepyshell.1

override_dh_auto_install:
	dh_auto_install
	# delete bundled copy of python-oauth
	find debian/tmp -name oauth.py -delete

override_dh_installdocs:
	dh_installdocs -Xjquery -X.doctrees -X.buildinfo

override_dh_compress:
	dh_compress -X.py

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tweepy.egg-info build/html

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --no-conf --rename --force-download --destdir $(CURDIR)

=== debian/watch ===
version=3
https://github.com/joshthecoder/tweepy/downloads \
 /joshthecoder/tweepy/tarball/([0-9\.]+) \
 debian debian/orig-tar.sh

## tweepy 2.1

=== debian/changelog ===
tweepy (2.1-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * New upstream release.

  [ Ryan Kavanagh ]
  * Bump X-Python-Version to >= 2.6; upstream has dropped support for
    Python 2.5 

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 17 Jul 2013 22:56:23 -0300

tweepy (2.0-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * New upstream release. (Closes: #669881, #681905).
  * Update Homepage field. (Closes: #653895).
  * Update watch file. Thanks to Bart Martens <bartm@debian.org>. 
  * Update copyright file.
  * Bump Standards-Version to 3.9.4. No changes were required.
  * Fix wrong paragraph separation in python-tweepy-doc
    description. (Closes: #703091).
  * Add missing Build-Depends on python-oauth.
  * Remove references to tweepyshell tool since it's not included anymore.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ryan Kavanagh ]
  * Move tweepy/oauth.py out of the way during calls to setup.py (i.e., during
    clean and build). This bundled version is out of sync with Debian's copy
    and was causing build failures.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 06 Jul 2013 12:48:47 -0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
- python-docutils, python-setuptools, python-sphinx
-Standards-Version: 3.9.2
-X-Python-Version: >= 2.4
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/tweepy/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/tweepy/trunk/
-Homepage: http://github.com/joshthecoder/tweepy
+ python-docutils, python-setuptools, python-sphinx, python-oauth
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.6
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/tweepy/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/tweepy/trunk/
+Homepage: http://tweepy.github.com/
 
 Package: python-tweepy
 Architecture: all
@@ -30,7 +30,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: libjs-jquery
+Recommends: libjs-jquery, libjs-underscore
 Description: Documentation for python-tweepy module
  Documentation for Tweepy that is a Twitter and Identi.ca
  library for Python that can be used in desktop and web
@@ -40,5 +40,5 @@
   - Streaming API support
   - Cache system (memory, file)
   - Easy to use
-  .
-  This package contains tutorials, examples and the Tweepy API.
+ .
+ This package contains tutorials, examples and the Tweepy API.

=== debian/rules ===
#!/usr/bin/make -f

# The following bundled files break the build process by conflicting
# with system copies. Temporarily move them.
BACKUP_FILES = tweepy/oauth.py
BACKED_UP_FILES = $(BACKUP_FILES:%=%.debian-backup)

%:
	dh $@ --with python2

# tweepy/oauth.py wreaks havoc with setup.py. Move it out of the way first.
override_dh_auto_build: $(BACKED_UP_FILES)
	dh_auto_build
	cd docs && sphinx-build -b html . ../build/html

override_dh_auto_install:
	dh_auto_install
	# delete bundled copy of python-oauth
	find debian/tmp -name oauth.py -delete

override_dh_installdocs:
	dh_installdocs -Xjquery -X.doctrees -X.buildinfo -Xunderscore

override_dh_compress:
	dh_compress -X.py

# The "|" ensures that the dependencies are called in order.
override_dh_auto_clean: | dhac restore
	rm -rf tweepy.egg-info build/html

# tweepy/oauth.py wreaks havoc with setup.py. Move it out of the way first.
dhac: $(BACKED_UP_FILES)
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --no-conf --rename --force-download --destdir $(CURDIR)

%.debian-backup:
	@# Move the matching stem, foo, to foo.debian-backup.
	mv -f $* $@

restore:
	for file in $(BACKUP_FILES); do \
            [ ! -f $${file}.debian-backup ] || mv $${file}.debian-backup $${file}; \
        done

.PHONY: restore dhac

## tweepy 2.3

=== debian/changelog ===
tweepy (2.3-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 09 Apr 2014 21:28:20 -0300

tweepy (2.3-1) unstable; urgency=low

  * New upstream release.
  * Update my email address.
  * Bump Standards-Version to 3.9.5. No changes were required.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 23 Mar 2014 23:29:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: tweepy
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>
+Uploaders: Miguel Landaeta <nomadium@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
  python-docutils, python-setuptools, python-sphinx, python-oauth
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/tweepy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/tweepy/trunk/

## tweepy 3.1.0

=== debian/changelog ===
tweepy (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 30 Apr 2015 15:07:39 -0300

tweepy (3.1.0-1) experimental; urgency=low

  * New upstream release. (Closes: #692444).
    Since 3.0.0 release a fix for security vulnerability CVE-2012-5821
    is included.
  * Bump Standards-Version to 3.9.6. No changes were required.
  * Update copyright file.
  * Drop 01_use_python_oauth.diff patch. Upstream doesn't use python-auth
    library anymore.
  * Simplify d/rules file.
  * Bump dependency on debhelper to v9.
  * Add B-D on python-pip, python-requests-oauthlib and dh-python.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 14 Dec 2014 14:51:37 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Miguel Landaeta <nomadium@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
- python-docutils, python-setuptools, python-sphinx, python-oauth
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9~), python-all (>= 2.6.6-3~),
+ python-docutils, python-setuptools, python-sphinx, python-pip,
+ python-requests-oauthlib, dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/tweepy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/tweepy/trunk/
@@ -13,7 +14,7 @@
 
 Package: python-tweepy
 Architecture: all
-Depends: python-oauth, python-simplejson | python (>= 2.6), ${misc:Depends},
+Depends: python-simplejson | python (>= 2.6), ${misc:Depends},
  ${python:Depends}
 Suggests: python-tweepy-doc
 Description: Twitter library for Python

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	cd docs && sphinx-build -b html . ../build/html

override_dh_auto_install:
	dh_auto_install

override_dh_installdocs:
	dh_installdocs -Xjquery -X.doctrees -X.buildinfo -Xunderscore

override_dh_compress:
	dh_compress -X.py

override_dh_auto_clean:
	rm -rf tweepy.egg-info build/*
	-find tweepy -type f -name '*.pyc' -delete

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --no-conf --rename --force-download --destdir $(CURDIR)

## tweepy 3.5.0

=== debian/changelog ===
tweepy (3.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Disable upstream tests (Closes: #804558)
    The tests fail as they need internet access
  * Use secure URL for Vcs
  * Make Python 3 package short description unique

  * Upload sponsored by Petter Reinholdtsen.

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 11 Feb 2016 21:58:30 +0100

tweepy (3.4.0-1) unstable; urgency=medium

  [ Carl Chenet ]
  * New upstream release. (Closes: #793030).
  * Wrap and sort dependencies list.
  * Bump Standards-Version to 3.9.6.1. No changes were required.
  * Add support for python3. New binary package python3-tweepy.
  * Update Vcs-* URLs.

  [ Miguel Landaeta ]
  * Update copyright dates.
  * Improve clean target to allow twice-in-a-row builds.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 27 Oct 2015 22:25:03 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,25 @@
 Uploaders: Miguel Landaeta <nomadium@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9~), python-all (>= 2.6.6-3~),
- python-docutils, python-setuptools, python-sphinx, python-pip,
- python-requests-oauthlib, dh-python
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/tweepy/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/tweepy/trunk/
+Build-Depends: debhelper (>= 9~),
+ python-all (>= 2.6.6-3~),
+ python3-all (>= 3.4.2),
+ python-docutils,
+ python3-docutils,
+ python-setuptools,
+ python3-setuptools,
+ python-sphinx,
+ python3-sphinx,
+ python-pip,
+ python3-pip,
+ python-requests-oauthlib,
+ python3-requests-oauthlib,
+ dh-python
+Standards-Version: 3.9.6.1
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tweepy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tweepy.git
 Homepage: http://tweepy.github.com/
 
 Package: python-tweepy
@@ -27,6 +39,24 @@
   - Cache system (memory, file)
   - Easy to use
 
+Package: python3-tweepy
+Architecture: all
+Depends: python3 (>= 3.4),
+ ${misc:Depends},
+ ${python3:Depends}
+Suggests: python-tweepy-doc
+Description: Twitter library for Python 3
+ Tweepy is a Twitter and Identi.ca library for Python
+ that can be used in desktop and web applications. It has the
+ following features:
+  - OAuth support
+  - Covers the entire Twitter API
+  - Streaming API support
+  - Cache system (memory, file)
+  - Easy to use
+ .
+ This package is for Python3.
+
 Package: python-tweepy-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	cd docs && sphinx-build -b html . ../build/html
+
+#disable unit tests as they require internet access
+override_dh_auto_test:
 
 override_dh_auto_install:
 	dh_auto_install
@@ -17,7 +21,7 @@
 	dh_compress -X.py
 
 override_dh_auto_clean:
-	rm -rf tweepy.egg-info build/*
+	rm -rf tweepy.egg-info build/* .pybuild/
 	-find tweepy -type f -name '*.pyc' -delete
 
 override_dh_installchangelogs:

## tweepy 3.6.0

=== debian/changelog ===
tweepy (3.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Fix Homepage.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 16:50:06 +0200

tweepy (3.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with pip >= 10. (Closes: #915756)

 -- Adrian Bunk <bunk@debian.org>  Thu, 17 Jan 2019 17:09:41 +0200

tweepy (3.6.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Sophie Brun ]
  * New upstream version 3.6.0
  * Import upstream patches for Python3.7 (Closes: #904648)
  * d/rules: remove get-orig-source
  * Bump Standards-Version to 4.2.1
  * Add autopkgtest-pkg-python
  * Clean d/rules
  * Use pybuild to install the package
  * Install examples

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Oct 2018 15:09:28 +0200

=== debian/control ===
Source: tweepy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all (>= 3.4.2),
               python3-docutils,
               python3-pip,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/python-team/modules/tweepy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/tweepy
Homepage: https://www.tweepy.org/
Testsuite: autopkgtest-pkg-python

Package: python3-tweepy
Architecture: all
Depends: python3 (>= 3.4), ${misc:Depends}, ${python3:Depends}
Suggests: python-tweepy-doc
Description: Twitter library for Python 3
 Tweepy is a Twitter and Identi.ca library for Python
 that can be used in desktop and web applications. It has the
 following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
 .
 This package is for Python3.

Package: python-tweepy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-jquery, libjs-underscore
Description: Documentation for python-tweepy module
 Documentation for Tweepy that is a Twitter and Identi.ca
 library for Python that can be used in desktop and web
 applications. It has the following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
 .
 This package contains tutorials, examples and the Tweepy API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tweepy

%:

	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && python3 -m sphinx -b html . ../build/html

#disable unit tests as they require internet access
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs -Xjquery -X.doctrees -X.buildinfo -Xunderscore

=== debian/watch ===
version=3
https://github.com/tweepy/tweepy/tags \
.*/archive/v?(\d\S*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Sat, 02 Mar 2013 15:44:01 +0000

## tweepy 4.1.0

=== debian/changelog ===
tweepy (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Oct 2021 00:22:26 +0200

tweepy (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1

 -- Timo Röhling <roehling@debian.org>  Mon, 04 Oct 2021 09:11:30 +0200

tweepy (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Bump Standards-Version to 4.6.0 (no changes)
  * Enable test suite.
    Thanks to python3-vcr, the test suite runs without internet
    access. (Closes: #814464)
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Oct 2021 22:18:33 +0200

tweepy (3.10.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Aug 2021 00:34:46 +0200

tweepy (3.10.0-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-tweepy-doc: Add Multi-Arch: foreign.

  [ Timo Röhling ]
  * d/watch: Update to version 4
  * New upstream version 3.10.0
  * Drop obsolete patches
    + fix-python-3-7.patch
    + change-find-packages.patch
    + 0001-1029-migrate-requirements-to-setup.py-reference-in-r.patch
  * Bump Standards-Version to 4.5.1
  * Bump Debhelper to 13
  * Use dh-sequence-*
  * Bump minimum required Python version
  * Add R-R-R: no
  * Fix doc-base file name
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Sat, 12 Jun 2021 13:20:49 +0200

=== debian/control ===
Source: tweepy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>,
           Timo Röhling <roehling@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               dh-python,
               python3-aiohttp,
               python3-all (>= 3.6),
               python3-docutils,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-tabs,
               python3-vcr (>= 1.10.3) <!nocheck>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/tweepy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tweepy
Homepage: https://www.tweepy.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
X-Python-Version: >= 3.6

Package: python3-tweepy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-tweepy-doc
Description: Twitter library for Python 3
 Tweepy is a Twitter and Identi.ca library for Python
 that can be used in desktop and web applications. It has the
 following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
 .
 This package is for Python3.

Package: python-tweepy-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
Multi-Arch: foreign
Description: Documentation for python-tweepy module
 Documentation for Tweepy that is a Twitter and Identi.ca
 library for Python that can be used in desktop and web
 applications. It has the following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
 .
 This package contains tutorials, examples and the Tweepy API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tweepy
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {dir}/cassettes {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/examples {build_dir}/cassettes
export https_proxy=

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx -b html . ../build/html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
     https://github.com/tweepy/tweepy/releases .*/v?(\d+\S+)\.tar\.gz

## tweepy 4.2.0

=== debian/changelog ===
tweepy (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Nov 2021 14:23:15 +0100

## tweepy 4.3.0

=== debian/changelog ===
tweepy (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Nov 2021 19:17:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-aiohttp,
                python3-all (>= 3.6),
                python3-docutils,
+               python3-pytest <!nocheck>,
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools,

## tweepy 4.5.0

=== docs/requirements.txt ===
myst-parser==0.15.2
sphinx==4.2.0
sphinx-hoverxref==0.7b1
sphinx-tabs==3.2.0
sphinx_rtd_theme==1.0.0

=== debian/changelog ===
tweepy (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * Remove X-Python-Version field from d/control

 -- Timo Röhling <roehling@debian.org>  Thu, 27 Jan 2022 11:05:33 +0100

tweepy (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Nov 2021 09:51:27 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
 Homepage: https://www.tweepy.org/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-X-Python-Version: >= 3.6
 
 Package: python3-tweepy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tweepy
export PYBUILD_BEFORE_TEST=cp -r {dir}/assets {dir}/examples {dir}/cassettes {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/assets {build_dir}/examples {build_dir}/cassettes
export https_proxy=

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx -b html . ../build/html

## tweepy 4.9.0

=== debian/changelog ===
tweepy (4.9.0-2) unstable; urgency=medium

  * Unset http_proxy and https_proxy in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Fri, 20 May 2022 18:15:42 +0200

tweepy (4.9.0-1) unstable; urgency=medium

  * New upstream version 4.9.0

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 09:18:23 +0200

tweepy (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Mar 2022 12:35:10 +0200

tweepy (4.7.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Timo Röhling ]
  * Run full test suite in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Mar 2022 09:58:09 +0100

tweepy (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Mar 2022 13:31:48 +0100

tweepy (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * Add Recommends: python3-aiohttp for AsyncStream support

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Mar 2022 09:35:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,26 @@
                dh-sequence-sphinxdoc,
                dh-python,
                python3-aiohttp,
-               python3-all (>= 3.6),
+               python3-all,
                python3-docutils,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools,
                python3-sphinx,
+	       python3-sphinx-rtd-theme,
                python3-sphinx-tabs,
-               python3-vcr (>= 1.10.3) <!nocheck>,
+               python3-vcr <!nocheck>,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/tweepy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tweepy
 Homepage: https://www.tweepy.org/
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-tweepy
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-aiohttp
 Suggests: python-tweepy-doc
 Description: Twitter library for Python 3
  Tweepy is a Twitter and Identi.ca library for Python

=== debian/tests/control ===
Tests: run-test-suite
Depends: python3-tweepy, python3-pytest, python3-vcr

## tweepy 4.10.0

=== debian/changelog ===
tweepy (4.10.0-2) unstable; urgency=medium

  * Add optional asyncclient dependencies to autopkgtest

 -- Timo Röhling <roehling@debian.org>  Mon, 30 May 2022 10:48:28 +0200

tweepy (4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sun, 29 May 2022 22:36:27 +0200

=== debian/control ===
Source: tweepy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>,
           Timo Röhling <roehling@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 dh-python,
 python3-aiohttp,
 python3-all,
 python3-async-lru,
 python3-docutils,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-requests-oauthlib,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinx-tabs,
 python3-vcr <!nocheck>,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/tweepy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tweepy
Homepage: https://www.tweepy.org/
Rules-Requires-Root: no

Package: python3-tweepy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-aiohttp,
 python3-async-lru,
Suggests: python-tweepy-doc
Description: Twitter library for Python 3
 Tweepy is a Twitter and Identi.ca library for Python
 that can be used in desktop and web applications. It has the
 following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
 .
 This package is for Python3.

Package: python-tweepy-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 libjs-jquery,
 libjs-underscore,
Multi-Arch: foreign
Description: Documentation for python-tweepy module
 Documentation for Tweepy that is a Twitter and Identi.ca
 library for Python that can be used in desktop and web
 applications. It has the following features:
  - OAuth support
  - Covers the entire Twitter API
  - Streaming API support
  - Cache system (memory, file)
  - Easy to use
 .
 This package contains tutorials, examples and the Tweepy API.

## tweepy 4.10.1

=== docs/requirements.txt ===
myst-parser==0.15.2
readthedocs-sphinx-search==0.1.1
sphinx==4.2.0
sphinx-hoverxref==0.7b1
sphinx-tabs==3.2.0
sphinx_rtd_theme==1.0.0

=== debian/changelog ===
tweepy (4.10.1-2) unstable; urgency=medium

  * Update d/watch
  * Use reproducible build date for Sphinx documentation

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Oct 2022 21:57:50 +0200

tweepy (4.10.1-1) unstable; urgency=medium

  * New upstream version 4.10.1
  * Slightly reword the package descriptions

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Aug 2022 22:32:47 +0200

## tweepy 4.12.0

=== debian/changelog ===
tweepy (4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Oct 2022 13:12:16 +0200

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
   - Cache system (memory, file)
   - Easy to use
  .
- This package is for Python3.
+ This package installs the Python 3 module.
 
 Package: python-tweepy-doc
 Architecture: all
@@ -57,7 +57,7 @@
  libjs-jquery,
  libjs-underscore,
 Multi-Arch: foreign
-Description: Documentation for python-tweepy module
+Description: Documentation for the Twitter library
  Documentation for Tweepy that is a Twitter and Identi.ca
  library for Python that can be used in desktop and web
  applications. It has the following features:

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,6 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+BUILD_DATE = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 execute_after_dh_auto_build:
-	cd docs && python3 -m sphinx -b html . ../build/html
+	cd docs && python3 -m sphinx -b html -D today="$(BUILD_DATE)" . ../build/html

=== debian/tests/control ===
Tests: run-test-suite
Depends: python3-tweepy, python3-pytest, python3-vcr, python3-aiohttp, python3-async-lru

## tweepy 4.12.1

=== debian/changelog ===
tweepy (4.12.1-3) unstable; urgency=medium

  * Use pybuild.testfiles instead of manual copying

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 19:49:28 +0100

tweepy (4.12.1-2) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 13:49:17 +0100

tweepy (4.12.1-1) unstable; urgency=medium

  * New upstream version 4.12.1

 -- Timo Röhling <roehling@debian.org>  Wed, 09 Nov 2022 20:38:35 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tweepy
 Homepage: https://www.tweepy.org/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-tweepy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=tweepy
-export PYBUILD_BEFORE_TEST=cp -r {dir}/assets {dir}/examples {dir}/cassettes {build_dir}
-export PYBUILD_AFTER_TEST=rm -r {build_dir}/assets {build_dir}/examples {build_dir}/cassettes
 export https_proxy=
 
 %:

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/tweepy/tweepy/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@

## tweepy 4.14.0

=== debian/changelog ===
tweepy (4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 13:45:31 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-sphinx-rtd-theme,
  python3-sphinx-tabs,
  python3-vcr <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/tweepy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tweepy
 Homepage: https://www.tweepy.org/
